Imagick::getNumberImages
Imagick::getPackageName
Imagick
PHP Manual

# Imagick::getOption

(PECL imagick 2.0.0)

Imagick::getOption — Returns a value associated with the specified key

### Description

string Imagick::getOption ( string `$key` )

Returns a value associated within the object for the specified key.

### Parameters

`key`

  The name of the option

### Return Values

Returns a value associated with a wand and the specified key.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getNumberImages
Imagick::getPackageName
Imagick
PHP Manual